<?php
/**
 * Display links to theme editor for style.css & functions.php
 * Only if theme support enable and proper capabilities are set
 *
 * @package    Xtreme One Toolbar
 * @subpackage Theme Support
 * @author     David Decker - DECKERWEB
 * @copyright  Copyright (c) 2012-2014, David Decker - DECKERWEB
 * @license    http://www.opensource.org/licenses/gpl-license.php GPL-2.0+
 * @link       http://genesisthemes.de/en/wp-plugins/xtreme-one-toolbar/
 * @link       http://deckerweb.de/twitter
 *
 * @since      1.1.0
 */

/**
 * Prevent direct access to this file.
 *
 * @since 1.2.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Sorry, you are not allowed to access this file directly.' );
}


/**
 * Display theme edit links if theme support is enabled
 *
 * @since 1.1.0
 */

/** WordPress 3.4+ check: */
if ( function_exists( 'wp_get_theme' ) ) {
	$xotb_edit_themes_functions = network_admin_url( 'theme-editor.php?file=functions.php&amp;theme=' . get_stylesheet() );

}
	/** Is WordPress prior 3.4: */
else {

	$xotb_edit_themes_functions = network_admin_url( 'theme-editor.php?file=' . get_stylesheet_directory() . '/functions.php&amp;theme=' . urlencode( $xotb_stylesheet_name ) );

}  // end if

/** Edit child theme functions (functions.php) */
$menu_items[ 'xochild-editfunctions' ] = array(
	'parent' => $xochildsettings,
	'title'  => __( 'Edit functions.php', 'xtreme-one-toolbar' ),
	'href'   => $xotb_edit_themes_functions,
	'meta'   => array( 'target' => '', 'title' => _x( 'Edit current child theme functions: functions.php', 'Translators: For the tooltip', 'xtreme-one-toolbar' ) )
);