<?php
/**
 * Display the resource links for the "Xtreme One Group".
 *
 * @package    Xtreme One Toolbar
 * @subpackage Resources
 * @author     David Decker - DECKERWEB
 * @copyright  Copyright (c) 2012-2014, David Decker - DECKERWEB
 * @license    http://www.opensource.org/licenses/gpl-license.php GPL-2.0+
 * @link       http://genesisthemes.de/en/wp-plugins/xtreme-one-toolbar/
 * @link       http://deckerweb.de/twitter
 *
 * @since      1.0.0
 */

/**
 * Prevent direct access to this file.
 *
 * @since 1.2.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Sorry, you are not allowed to access this file directly.' );
}


/** Get our external resource links */
$xotb_resource_links = (array) ddw_xotb_resources_links();


/**
 * Resource links collection
 *
 * @since 1.0.0
 */
/** Support menu items */
$xogroup_menu_items[ 'xosupport' ] = array(
	'parent' => $xogroup,
	'title'  => __( 'Xtreme One Support', 'xtreme-one-toolbar' ),
	'href'   => $xotb_resource_links[ 'url_support' ],
	'meta'   => array( 'title' => __( 'Xtreme One Support', 'xtreme-one-toolbar' ) )
);

/** Codex & Documentation menu items */
$xogroup_menu_items[ 'xocodex' ] = array(
	'parent' => $xogroup,
	'title'  => __( 'Codex & Documentation', 'xtreme-one-toolbar' ),
	'href'   => $xotb_resource_links[ 'url_docs' ],
	'meta'   => array( 'title' => __( 'Codex & Documentation', 'xtreme-one-toolbar' ) )
);

$xogroup_menu_items[ 'xocodexknowledge' ] = array(
	'parent' => $xocodex,
	'title'  => __( 'Knowledge Base', 'xtreme-one-toolbar' ),
	'href'   => $xotb_resource_links[ 'url_knowledge' ],
	'meta'   => array( 'title' => __( 'Knowledge Base', 'xtreme-one-toolbar' ) )
);

$xogroup_menu_items[ 'xocodexhooks' ] = array(
	'parent' => $xocodex,
	'title'  => __( 'Hook Reference', 'xtreme-one-toolbar' ),
	'href'   => $xotb_resource_links[ 'url_hooks' ],
	'meta'   => array( 'title' => __( 'Hook Reference', 'xtreme-one-toolbar' ) )
);

$xogroup_menu_items[ 'xocodexcss' ] = array(
	'parent' => $xocodex,
	'title'  => __( 'CSS Structure', 'xtreme-one-toolbar' ),
	'href'   => $xotb_resource_links[ 'url_css' ],
	'meta'   => array( 'title' => __( 'CSS Structure', 'xtreme-one-toolbar' ) )
);

$xogroup_menu_items[ 'xocodexcssyaml' ] = array(
	'parent' => $xocodexcss,
	'title'  => __( 'YAML Modifications', 'xtreme-one-toolbar' ),
	'href'   => $xotb_resource_links[ 'url_cssyaml' ],
	'meta'   => array( 'title' => __( 'YAML Modifications', 'xtreme-one-toolbar' ) )
);

$xogroup_menu_items[ 'xocodexyaml' ] = array(
	'parent' => $xocodex,
	'title'  => __( 'YAML: CSS Framework', 'xtreme-one-toolbar' ),
	'href'   => 'http://www.yaml.de/docs/index.html',
	'meta'   => array( 'title' => __( 'YAML: CSS Framework', 'xtreme-one-toolbar' ) )
);

/** Xtreme One HQ menu items */
$xogroup_menu_items[ 'xosites' ] = array(
	'parent' => $xogroup,
	'title'  => __( 'Xtreme One HQ', 'xtreme-one-toolbar' ),
	'href'   => $xotb_resource_links[ 'url_home' ],
	'meta'   => array( 'title' => __( 'Xtreme One HQ', 'xtreme-one-toolbar' ) )
);

$xogroup_menu_items[ 'xothemes' ] = array(
	'parent' => $xosites,
	'title'  => __( 'Official Child Themes', 'xtreme-one-toolbar' ),
	'href'   => $xotb_resource_links[ 'url_themes' ],
	'meta'   => array( 'title' => __( 'Official Child Themes', 'xtreme-one-toolbar' ) )
);

$xogroup_menu_items[ 'xovideos' ] = array(
	'parent' => $xosites,
	'title'  => __( 'Videos', 'xtreme-one-toolbar' ),
	'href'   => $xotb_resource_links[ 'url_videos' ],
	'meta'   => array( 'title' => __( 'Videos', 'xtreme-one-toolbar' ) )
);

$xogroup_menu_items[ 'xopluginswporg' ] = array(
	'parent' => $xosites,
	'title'  => __( 'Free plugins/extensions at WP.org', 'xtreme-one-toolbar' ),
	'href'   => 'http://wordpress.org/extend/plugins/search.php?q=xtreme+one',
	'meta'   => array( 'title' => __( 'Free plugins/extensions at WP.org', 'xtreme-one-toolbar' ) )
);